from jovianapi import API


###################
# Prepare interface
# Node info
IP = '192.168.251.182'
PORT = 82
USER = 'admin'
PASSWORD = 'admin'

# Init API
api = API.via_rest(IP, PORT, USER, PASSWORD)

#################
# Data for script
# Task info
POOL_NAME = 'Pool-0'        # Existing
DATASET_NAME = 'Dataset-0'  # Existing
SNAP_NAME = 'Dataset-Snap'  # To be deleted
CLONE_NAME = 'Snap-Clone'   # To be deleted
SHARE_NAME = 'Clone-Share'  # To be deleted


#############
# Script flow

# Delete Share
endpoint = '/shares/{SHARE_NAME}'.format(SHARE_NAME=SHARE_NAME)

api.driver.delete(endpoint)

# Delete clone
endpoint = '/pools/{POOL_NAME}/nas-volumes/{DATASET_NAME}/snapshots/{SNAP_NAME}/clones/{CLONE_NAME}'.format(
        POOL_NAME=POOL_NAME, DATASET_NAME=DATASET_NAME, SNAP_NAME=SNAP_NAME, CLONE_NAME=CLONE_NAME)

api.driver.delete(endpoint)

# Delete snapshot
endpoint = '/pools/{POOL_NAME}/nas-volumes/{DATASET_NAME}/snapshots/{SNAP_NAME}'.format(
        POOL_NAME=POOL_NAME, DATASET_NAME=DATASET_NAME, SNAP_NAME=SNAP_NAME)

api.driver.delete(endpoint)
